Eventum Logo

Eventum

Repositories

Add Repository

Connect a generator repository. The repository is checked before it is connected, and the catalog it publishes is read on the first request for it.

POST
/repositories/

Query Parameters

verify?Verify

Whether to check that the repository answers before connecting it

Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/repositories/" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "url": "string"  }'
null
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
Empty
Empty
Empty